$Id: CHANGELOG 230 2009-08-25 08:14:24Z fwhite $

November 2009 [fwhite]
--added: admin can view private videos from frontend UI
--added: ClipBucket Black template
--added: videnc.com integration
--added: confirmation e-mail field (signup.html)
--changed: videos ordered by date DESC (view_channel.html)
--changed: refactored remote download system
--fixed: random video display (watch_video.html)
--fixed: 1.7.2 detection during install
--fixed: display after failed upload size increase (admin_area)
--fixed: admin_area display after updating settings
--fixed: http://forums.clip-bucket.com/project.php?issueid=101
--fixed: http://forums.clip-bucket.com/project.php?issueid=107
--fixed: http://forums.clip-bucket.com/project.php?issueid=108
--fixed: http://forums.clip-bucket.com/project.php?issueid=110
--fixed: http://forums.clip-bucket.com/project.php?issueid=111
--fixed: API when site offline
--fixed: http://forums.clip-bucket.com/project.php?issueid=113
--fixed: http://forums.clip-bucket.com/project.php?issueid=116
--fixed: http://forums.clip-bucket.com/project.php?issueid=122
--fixed: http://forums.clip-bucket.com/project.php?issueid=125
--fixed: http://forums.clip-bucket.com/project.php?issueid=128


October 2009 [fwhite]
--added: 1.7.1 to 1.7.2 upgrade logic
--fixed: http://forums.clip-bucket.com/project.php?issueid=79
--fixed: http://forums.clip-bucket.com/project.php?issueid=81
--fixed: http://forums.clip-bucket.com/project.php?issueid=82
--fixed: http://forums.clip-bucket.com/project.php?issueid=83
--fixed: http://forums.clip-bucket.com/project.php?issueid=85
--fixed: http://forums.clip-bucket.com/project.php?issueid=88
--fixed: http://forums.clip-bucket.com/project.php?issueid=89
--fixed: http://forums.clip-bucket.com/project.php?issueid=90
--fixed: http://forums.clip-bucket.com/project.php?issueid=92
--fixed: http://forums.clip-bucket.com/project.php?issueid=94
--fixed: http://forums.clip-bucket.com/project.php?issueid=95
--fixed: missing text on signup.html
--fixed: release date display in admin_area
--fixed: upgrade for 1.7.1 r605
--fixed: number format on channels.html
--fixed: plugin detection
--fixed: thumb regeneration
--fixed: http://forums.clip-bucket.com/project.php?issueid=97
--fixed: http://forums.clip-bucket.com/project.php?issueid=98
--fixed: wizard redirection
--fixed: disposable e-mail check on signup
--fixed: required functions check
--fixed: invalid JS on upload.html (submit)


September 2009 [fwhite]
--added: admin can control guest view of channel list
--added: admin can control guest view of video list
--added: admin can control guest view of group list
--added: admin can control guest view of user profiles
--added: debug log generator
--added: embed api
--added: http://forums.clip-bucket.com/project.php?issueid=50
--changed: only active, public videos display in user video count
--changed: made pre-install CHMOD check more user friendly
--changed: no FFmpeg check on every page load
--changed: SHP enabled -- http://www.phpclasses.org/browse/package/4497.html
--fixed: related video display after playback (Ripe)
--fixed: user level displays in admin_area (members.html)
--fixed: deleted videos are also deleted from "Editor's Pick"
--fixed: comments_count decrease (watch_video.php)
--fixed: ban message display on login
--fixed: password reset for users created directly in DB
--fixed: login redirect (signup.php)
--fixed: date & revision of stats table after upgrade
--fixed: CBLA check on upgrade
--fixed: group thumb can be GIF
--fixed: admin can edit all groups (frontend UI)
--fixed: http://forums.clip-bucket.com/project.php?issueid=9
--fixed: http://forums.clip-bucket.com/project.php?issueid=16
--fixed: http://forums.clip-bucket.com/project.php?issueid=18
--fixed: http://forums.clip-bucket.com/project.php?issueid=20
--fixed: http://forums.clip-bucket.com/project.php?issueid=21
--fixed: http://forums.clip-bucket.com/project.php?issueid=22
--fixed: http://forums.clip-bucket.com/project.php?issueid=23
--fixed: http://forums.clip-bucket.com/project.php?issueid=24
--fixed: http://forums.clip-bucket.com/project.php?issueid=25
--fixed: http://forums.clip-bucket.com/project.php?issueid=30
--fixed: http://forums.clip-bucket.com/project.php?issueid=32
--fixed: http://forums.clip-bucket.com/project.php?issueid=33
--fixed: http://forums.clip-bucket.com/project.php?issueid=38
--fixed: http://forums.clip-bucket.com/project.php?issueid=39
--fixed: http://forums.clip-bucket.com/project.php?issueid=44
--fixed: http://forums.clip-bucket.com/project.php?issueid=48
--fixed: http://forums.clip-bucket.com/project.php?issueid=52
--fixed: http://forums.clip-bucket.com/project.php?issueid=54
--fixed: http://forums.clip-bucket.com/project.php?issueid=56
--fixed: http://forums.clip-bucket.com/project.php?issueid=58
--fixed: http://forums.clip-bucket.com/project.php?issueid=62
--fixed: http://forums.clip-bucket.com/project.php?issueid=63
--fixed: http://forums.clip-bucket.com/project.php?issueid=64
--fixed: http://forums.clip-bucket.com/project.php?issueid=67
--fixed: http://forums.clip-bucket.com/project.php?issueid=70
--fixed: http://forums.clip-bucket.com/project.php?issueid=74
--fixed: http://forums.clip-bucket.com/project.php?issueid=75
--fixed: http://bugs.cbdev.org/index.php?do=details&task_id=95&project=1
--fixed: http://bugs.cbdev.org/index.php?do=details&task_id=168&project=1
--fixed: PHP notices in PM system
--fixed: auto date change when no date recorded (edit_video.html)
--fixed: add_group_videos.php only displays converted & active videos
--fixed: LocCheck


August 2009 [fwhite]
--added: CHMOD check to installer
--added: better error handling to installer
--added: CBLA to installer
--added: auto-detection of FFmpeg & FLVTool2 during install
--added: installer
--added: contact form
--added: FFmpeg prompt can be disabled from frontend UI
--added: troubleshooting wizard
--added: check for supported OS
--added: BASEURL & BASEDIR auto config
--added: auto-detection of required binaries
--added: modal tooltip
--added: common error display
--added: check for common permissions errors
--added: default values to users table (resolves MySQL warnings)
--added: Flash version check
--added: Plugin hooks system
--added: YouTube style watch video URL (watch?v=VIDEOKEY)
--added: basic access logger
--changed: merged ffmpeg.class.php & multi.class.php
--changed: auto login after register
--changed: Ripe FLV Player updated
--changed: JW Player updated
--changed: jQuery runs in noConflict mode
--changed: removed page redir cookie
--changed: admin check uses $_SESSION only
--fixed: bug #75 - http://bugs.cbdev.org/index.php?do=details&task_id=75&project=1
--fixed: bug #79 - http://bugs.cbdev.org/index.php?do=details&task_id=79&project=1
--fixed: bug #114 - http://bugs.cbdev.org/index.php?do=details&task_id=114&project=1
--fixed: bug #206 - http://bugs.cbdev.org/index.php?do=details&task_id=206&project=1
--fixed: bug #215 - http://bugs.cbdev.org/index.php?do=details&task_id=215&project=1
--fixed: bug #216 - http://bugs.cbdev.org/index.php?do=details&task_id=216&project=1
--fixed: untitled document display
--fixed: wrap of video count (videos template)
--fixed: number format of video count (videos template)
--fixed: site style detection
--fixed: bug #28 - http://bugs.cbdev.org/index.php?do=details&task_id=28&project=1
--removed: old FLV players (only shipping JW & Ripe)
--removed: static FFmpeg option
--removed: mplayer & mencoder requirements
--removed: active.php
--removed: adminfunctions.php
--removed: erroneous JS files


July 2009 [fwhite]
--added: logoff prompt
--added: FFmpeg prompt
--added: FFmpeg check (frontend UI)
--added: functions to check codec states
--added: 'which' & 'whereis' functions
--added: mb_truncate (smarty)
--added: log writing function
--changed: multi.class.php uses FFmpeg & flvtool2 only (preparing to merge ffmpeg.class.php)
--changed: site offline message display for site admin
--changed: disabled empty search
--changed: added default values in video table
--fixed: gender bug on signup
--fixed: no avatar display if user does not exist (watch_video)
--fixed: no info display if user does not exist (watch_video)
--fixed: categories are sorted alphabetically (upload)
--fixed: JS error on step 1 of upload
--fixed: big thumb was not randomized
--fixed: private videos viewable if URL is known
--fixed: search query check
--fixed: sessions when logging in from admin_area
--fixed: truncate long video titles (watch_video)
--fixed: bug #212: http://bugs.cbdev.org/index.php?do=details&task_id=212&project=1
--fixed: bug #213: http://bugs.cbdev.org/index.php?do=details&task_id=213&project=1
--fixed: search results limit
--fixed: subtitle when site closed
--removed: clipbucketblack (unmaintained)
--removed: data entry checks when admin adds user via admin_area

June 2009 [fwhite]
--added: Conversion logs for each individual video
--added: Conversion logs for thumbnail generation
--added: meta keywords & descriptions from videos used on watch_video
--added: Google Analytics code (admin option)
--added: admin & channel owner can delete channel comments
--added: debug mode
--added: jQuery BlockUI
--added: jQuery jGrowl
--added: PHPMailer
--added: fix_seek.php (FLV metadata injector)
--added: new line break on channel comments -- http://forums.clip-bucket.com/showthread.php?t=2382
--fixed: remove video from all user favorites after delete
--fixed: add URLs for comment posters on view_channel
--fixed: bug #123 -- http://bugs.cbdev.org/index.php?do=details&task_id=123&project=1
--fixed: file caching (.htaccess)
--fixed: views number format on videos.html
--fixed: user can upload GIF images as avatar - http://forums.clip-bucket.com/showthread.php?t=247
--fixed: doj time (SQL structure)
--fixed: use MySQL timestamp instead of now() - see bug: http://php.net/strtotime
--fixed: year display issue - http://forums.clip-bucket.com/showthread.php?t=1322
--fixed: user can delete avatar
--removed: comment restrictions on user channel
--removed: php.ini


May 2009 [fwhite]
--added: Basic API for video information
--added: Site admin can view private videos
--added: Site admin can delete multiple videos from frontend UI
--added: Ripe FLV Player
--added: JW Player
--added: user can login w/ e-mail address or username
--added: version headers
--changed: Ripe is default player
--changed: Editor's Pick & Recently Viewed display conditionally
--changed: Removed YouTube style (not maintained)
--fixed: $_SESSION bug - http://bugs.cbdev.org/index.php?do=details&task_id=162&project=1
--fixed: "Recently Viewed" bug


April 2009 [fwhite]
--fixed: Encoding fails when resize = no (multi.class.php) - http://bugs.cbdev.org/index.php?do=details&task_id=201&project=1


February 2009 [fwhite]
-- added:  flash_recent_videos_black.swf (momo)
-- added:  French & Simplified Chinese (need images for both)
-- changed:  admin_area login page
-- fixed:  template sort
-- fixed:  flash_recent_videos.swf (momo)
-- fixed:  bug #132 - http://bugs.cbdev.org/index.php?do=details&task_id=132&project=1
-- fixed:  destroy session on logout
-- fixed:  footer - NOBR
-- fixed:  unregister userid on logout
-- fixed:  delete cookies on logout
-- fixed:  bug# 159 - http://bugs.cbdev.org/index.php?do=details&task_id=159&project=1
-- fixed:  admin_area url in footer
-- removed:  first name, last name requirement (edit_member)


Added Feb 11 2009 [Arslan]
-- Fixed : manage_videos.php videos order problem

Added Feb 01 2009 [Arslan]
-- text_exec() function once added in functions.php
-- text_exec() will also check windows paths
-- footer css changed of youtube style

January 2009 [fwhite]
-- fixed:  scandir (define function !function_exists)
-- fixed:  isValidEmail
-- fixed:  /inactive.php redirect & inactive.html image display
-- fixed:  jw_player plugin (wmode should not be opaque)

Bug List
-- Channel Background and Avatar Change Error 						[Fixed]
-- Re-Login Updates Users Videos Count 							[Fixed]
-- Admin Panel Template Editor Fault 							[Fixed]
-- User Videos Pagination Error [Check livedemo .httaccess for Rewrite Rules]		[Fixed] 
-- FileSize() Error , 									[Fixed]
-- Admin Area Show 0 videos 								[Fixed]
-- Rating_images bug 									[Fixed]
-- Username Session CaSe iS sEnsiTive 							[Fixed]
-- DeepLinks of player do not work 							[Fixed]
-- Big Thumb Doesnt Not Delete 								[Fixed]
-- Thumb Generation Error (Overwrite Permission Problem)				[Fixed]
-- Website Link in view_channel								[Fixed]
-- Embed Code shows up in videuploaducess even turning of from admin panel		[Fixed]
-- Advertisment Problem 								[Fixed]
-- YT themes Meta Descript {f} 								[Fixed]
-- XMLHTTPRequest Error 								[Fixed] {fwhite}
-- Utf-8 Fix by FrankWhite {fwhite}							[Fixed]
-- Valid Emabedded Code by Murat 							[Fixed] {lavinya}
-- Video Flags Do Not Delete After Deleteing Video 					[Fixed]
-- Redirect Error on Login								[Fixed]
-- Captcha Verification Problem								[Fixed]
-- Warning Lists In ClipBucket								[Fixed]
-- Groups Problem, Owner Autojoin etc							[Fixed]
-- Manage Videos Page Problems								[Fixed]
-- manage_Favoutites , Links Do not work properly					[Fixed]
-- User Session Lost During Uploading							[Fixed]
-- Edit Video (watch video link doesnt work)						[Fixed]
-- Private Video Emailed to subscribers							[Fixed]
-- Favourite Videos Do Not Remove After Deleteing Video					[Fixed]
-- Registeration Closed Message								[Fixed]




Updates Added
-- Tempate Editor Updated
-- Upload File Type,File Size in Admin
-- Advertismetn Section Update (Placements Added)
-- New Comments Options Added
-- New Captcha Mods Added
-- Sort Editor's Pick
-- File Types Option Added in Admin
-- Language Changer in Footer (on/off via admin panel) by Frank
-- Template Changer in Footer (on/off via admin panel) by Frank
-- Rss Feeds by Murat
-- OpenSearch By Frank
-- Videos Sitemap For Google by Murat
-- FFMPEG Conversion Class
